# Code of Conduct

This Code of Conduct applies to Code.gov, its repositories, communications, events and anyone participating in the Code.gov community. Your use of Code.gov means you accept and agree to abide by this Code of Conduct, which we may revise periodically. You should review this page from time to time. 

## What we expect

We expect all visitors and contributors to Code.gov to have a safe and engaging experience that is beneficial to our community. Members of our community have a diverse set of experiences and skillsets. As you engage our community, please ensure you are:  

- __Considerate__: As an open source community, what you do will affect others. Ensure what you do is in the best interest of the project, and community at large. 
- __Collaborative__: Open source is collaborative in nature.  Attempt to honor the spirit of open source by working together and resolving issues before conflict arises.
- __Patient__: Remember that open source is a culture change in government and while Code.gov is a testament to that change, change is occurring thanks to many in this community. Be patient if your question or issue is not answered right away. Many are juggling multiple duties. Contributing to open-source projects is often an after hours affair. 
- __Be Mindful__: Be aware of your actions. Treat others with dignity and respect -- the way you want to be treated. Be kind.
- __Using clear communication__: We don’t all speak the same language. Further, written, or typed words lack tone or body language to help interpret intent or meaning. If your words could have more than one meaning, take time to be clearer and always air on the side of being kind. 

# What we won’t accept

Users have a reasonable expectation to engage our site and community free from harassment. Harassment can include offensive verbal comments related to gender, age, sexual orientation, disability, physical appearance, race, religion, deliberate intimidation, disruption of talks or events. In short, harassment of any kind.

Anything that is unlawful, objectionable, offensive, abusive, threatening, defamatory, obscene, hateful, inflammatory, profane, racially, sexually or religiously offensive.  

# Consequences of Unacceptable Behavior

Unacceptable behavior from any community member, including those with decision-making authority, will not be tolerated.
Anyone asked to stop unacceptable behavior is expected to comply immediately. If a community member engages in unacceptable behavior, the Code.gov team will take any action it deems appropriate, up to and including a temporary ban or permanent expulsion from the community without warning. This can include removal from email lists, blocked from social media accounts, listservs, events and repos.